# Uses of Class
org.eclipse.jdt.core.dom.Message

Packages that use Message
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of Message in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Message
Modifier and Type
Method
Description
`Message[]`
CompilationUnit.`getMessages()`
Returns the list of messages reported by the compiler during the parsing or the type checking of this compilation unit.

## Uses of Message in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core with parameters of type Message
Modifier and Type
Method
Description
`void`
IJavaBreakpointListener.`breakpointHasCompilationErrors(IJavaLineBreakpoint breakpoint, Message[] errors)`
Notification that the given breakpoint has compilation errors in its conditional expression.

## Uses of Message in org.eclipse.jdt.debug.eval

Methods in org.eclipse.jdt.debug.eval that return Message
Modifier and Type
Method
Description
`Message[]`
ICompiledExpression.`getErrors()`
Deprecated.
use getErrorMessages()
`Message[]`
IEvaluationResult.`getErrors()`
Deprecated.
use getErrorMessages()